Show / Hide Table of Contents

# Class PluginImpl

This class is a a plugin testbed for developing new Dalamud features with easy access to Dalamud itself. Be careful to not commit anything extra.

##### Inheritance

System.Object
PluginImpl

##### Implements

IDalamudPlugin
System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.CorePlugin

###### Assembly: Dalamud.CorePlugin.dll

##### Syntax

    public sealed class PluginImpl : IDalamudPlugin, IDisposable

### Constructors

| Improve this Doc View Source

#### PluginImpl(DalamudPluginInterface)

Initializes a new instance of the PluginImpl class.

##### Declaration

    public PluginImpl(DalamudPluginInterface pluginInterface)

##### Parameters

Type | Name | Description
--- | --- | ---
DalamudPluginInterface | pluginInterface | Dalamud plugin interface.

### Properties

| Improve this Doc View Source

#### Name

Gets the name of the plugin.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

### Implements

IDalamudPlugin
System.IDisposable